> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile

> Updates the user profile for the specified user within the install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json put /v1/installs/{installSid}/users/{userSid}/profile
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/users/{userSid}/profile:
    put:
      tags:
        - User
      summary: Update User Profile
      description: Updates the user profile for the specified user within the install.
      operationId: putV1InstallsInstallsidUsersUsersidProfile
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: userSid
          in: path
          schema:
            type: string
            description: User Sid
            pattern: ^US[a-f0-9]{32}$
          description: User Sid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserProfile'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
components:
  schemas:
    UserProfile:
      type: object
      description: Update user Profile payload
      properties:
        currencyCode:
          type: string
          description: Currency Code
          x-constraint:
            length: 3
        timeZoneSid:
          type: string
          description: Time Zone Sid
          pattern: ^TZ[a-f0-9]{32}$
        maxTravelDistanceUnits:
          type: string
          description: Max Travel Distance Units
        mobilePhone:
          type: string
          description: Mobile Phone
          nullable: true
        preferredEmail:
          type: string
          description: Preferred Email
          x-format:
            email: true
        latitude:
          type: number
          description: Location Latitude
          nullable: true
        longitude:
          type: number
          description: Location Longitude
          nullable: true
        maxTravelDistance:
          type: number
          description: Max Travel Distance
          nullable: true
        homePhone:
          type: string
          description: Home Phone
          nullable: true
        address:
          type: string
          description: Address
          nullable: true
        smarterId:
          type: string
          description: SmarterID ID
          pattern: ^IU[a-f0-9]{32}$
        smarterIdEnrollmentSid:
          type: string
          description: SmarterID EnrollmentSid
          pattern: ^IE[a-f0-9]{32}$
      required:
        - currencyCode
        - timeZoneSid
        - maxTravelDistanceUnits
    UserResponse:
      type: object
      properties:
        sid:
          type: string
          description: User SID
          nullable: true
        firstName:
          type: string
          description: First name
          nullable: true
        lastName:
          type: string
          description: Last name
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        preferredEmail:
          type: string
          description: Preferred email
          nullable: true
        username:
          type: string
          description: Username
          nullable: true
        smarterIdEnrollmentSid:
          type: string
          description: SmarterID enrollment SID
          nullable: true
        mobilePhone:
          type: string
          description: Mobile phone
          nullable: true
        homePhone:
          type: string
          description: Home phone
          nullable: true
        address:
          type: string
          description: Address
          nullable: true
        lmsId:
          type: string
          description: LMS ID
          nullable: true
        apiId:
          type: string
          description: API ID
          nullable: true
        sisId:
          type: string
          description: SIS ID
          nullable: true
        externalId:
          type: string
          description: External ID
          nullable: true
        latitude:
          type: number
          description: Latitude
          nullable: true
        longitude:
          type: number
          description: Longitude
          nullable: true
        lastEnrollmentSync:
          type: string
          description: Last enrollment sync
          nullable: true
        currencyCode:
          type: string
          description: Currency code
          nullable: true
        timeZoneSid:
          type: string
          description: Time zone SID
          nullable: true
        timezone:
          $ref: '#/components/schemas/timezone'
        maxTravelDistance:
          type: number
          description: Max travel distance
          nullable: true
        maxTravelDistanceUnits:
          type: string
          description: Max travel distance units
          nullable: true
        createdDate:
          type: string
          description: Created date
          nullable: true
        editDate:
          type: string
          description: Edit date
          nullable: true
        freshdeskUserId:
          type: string
          description: Freshdesk user ID
          nullable: true
        role:
          type: string
          description: Role
          nullable: true
        enabled:
          type: boolean
          description: Enabled
          nullable: true
        authentication:
          $ref: '#/components/schemas/authentication'
        smarterId:
          $ref: '#/components/schemas/smarterId'
        course:
          $ref: '#/components/schemas/Model28'
        exam:
          $ref: '#/components/schemas/Model29'
        identity:
          $ref: '#/components/schemas/identity'
    timezone:
      type: object
      description: Timezone details
      nullable: true
    authentication:
      type: object
      description: Authentication data
      nullable: true
    smarterId:
      type: object
      description: SmarterID data
      nullable: true
    Model28:
      type: object
      description: Course
      nullable: true
    Model29:
      type: object
      description: Exam
      nullable: true
    identity:
      type: object
      description: Identity
      nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````